Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.utils
Class SourceTokenNameConstant

    java.lang.Object
      gudusoft.gsqlparser.pp.utils.SourceTokenNameConstant

    public class SourceTokenNameConstant

extends java.lang.Object

Field Summary
`static java.lang.String` | `AND`
`static java.lang.String` | `AS` the as keyword
`static java.lang.String` | `BEGIN_NO_FORMAT`
`static java.lang.String` | `BY`
`static java.lang.String` | `CASE`
`static java.lang.String` | `DECLARE`
`static java.lang.String` | `DELETE`
`static java.lang.String` | `DISTINCT` the distinct keyword
`static java.lang.String` | `ELSE`
`static java.lang.String` | `END`
`static java.lang.String` | `END_NO_FORMAT`
`static java.lang.String` | `FROM` the from keyword
`static java.lang.String` | `GROUP`
`static java.lang.String` | `HAVING`
`static java.lang.String` | `INSERT`
`static java.lang.String` | `INTO`
`static java.lang.String` | `JOIN` the 'join' keyword
`static java.lang.String` | `LEFT_BE`
`static java.lang.String` | `ON` on keyword
`static java.lang.String` | `OR`
`static java.lang.String` | `ORDER`
`static java.lang.String` | `RETURNS`
`static java.lang.String` | `RIGHT_BE`
`static java.lang.String` | `SELECT`
`static java.lang.String` | `SET`
`static java.lang.String` | `THEN`
`static java.lang.String` | `UNION`
`static java.lang.String` | `UPDATE`
`static java.lang.String` | `VALUES`
`static java.lang.String` | `WHEN`
`static java.lang.String` | `WHERE`
`static java.lang.String` | `WITH`

Constructor Summary
`SourceTokenNameConstant()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISTINCT

    public static final java.lang.String DISTINCT

  the distinct keyword

  See Also:
    Constant Field Values

### AS

    public static final java.lang.String AS

  the as keyword

  See Also:
    Constant Field Values

### FROM

    public static final java.lang.String FROM

  the from keyword

  See Also:
    Constant Field Values

### SELECT

    public static final java.lang.String SELECT

See Also:
  Constant Field Values

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### ORDER

    public static final java.lang.String ORDER

See Also:
  Constant Field Values

### BY

    public static final java.lang.String BY

See Also:
  Constant Field Values

### WHERE

    public static final java.lang.String WHERE

See Also:
  Constant Field Values

### VALUES

    public static final java.lang.String VALUES

See Also:
  Constant Field Values

### INSERT

    public static final java.lang.String INSERT

See Also:
  Constant Field Values

### INTO

    public static final java.lang.String INTO

See Also:
  Constant Field Values

### DELETE

    public static final java.lang.String DELETE

See Also:
  Constant Field Values

### UPDATE

    public static final java.lang.String UPDATE

See Also:
  Constant Field Values

### DECLARE

    public static final java.lang.String DECLARE

See Also:
  Constant Field Values

### JOIN

    public static final java.lang.String JOIN

  the 'join' keyword

  See Also:
    Constant Field Values

### ON

    public static final java.lang.String ON

  on keyword

  See Also:
    Constant Field Values

### UNION

    public static final java.lang.String UNION

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### CASE

    public static final java.lang.String CASE

See Also:
  Constant Field Values

### WHEN

    public static final java.lang.String WHEN

See Also:
  Constant Field Values

### THEN

    public static final java.lang.String THEN

See Also:
  Constant Field Values

### ELSE

    public static final java.lang.String ELSE

See Also:
  Constant Field Values

### END

    public static final java.lang.String END

See Also:
  Constant Field Values

### SET

    public static final java.lang.String SET

See Also:
  Constant Field Values

### HAVING

    public static final java.lang.String HAVING

See Also:
  Constant Field Values

### WITH

    public static final java.lang.String WITH

See Also:
  Constant Field Values

### LEFT_BE

    public static final java.lang.String LEFT_BE

See Also:
  Constant Field Values

### RIGHT_BE

    public static final java.lang.String RIGHT_BE

See Also:
  Constant Field Values

### BEGIN_NO_FORMAT

    public static final java.lang.String BEGIN_NO_FORMAT

See Also:
  Constant Field Values

### END_NO_FORMAT

    public static final java.lang.String END_NO_FORMAT

See Also:
  Constant Field Values

### RETURNS

    public static final java.lang.String RETURNS

See Also:
  Constant Field Values

Constructor Detail

### SourceTokenNameConstant

    public SourceTokenNameConstant()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD